Bug 1799027 - CLI - Rackspace mentioned in hammer help message for "compute-resource create"
Summary: CLI - Rackspace mentioned in hammer help message for "compute-resource create"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 6.7.0
Assignee: Oleh Fedorenko
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-06 13:34 UTC by Radovan Drazny
Modified: 2020-04-14 13:28 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-foreman_theme_satellite-5.0.1.8-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:28:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:48 UTC

Description Radovan Drazny 2020-02-06 13:34:50 UTC
Description of problem:
The "Rackspace" type of compute resource has been removed in Satellite 6.7 (see BZ1639696 for details). Despite this, "hammer compute-resource create --help" still mentions Rackspace in the help message for the "--url" option.

Version-Release number of selected component (if applicable):
Satellite 6.7 Snap 10

How reproducible:
always

Steps to Reproduce:
1. Run "hammer compute-resource create --help" and check the help messsage for the "--url" option
2.
3.

Actual results:
--url URL   URL for Libvirt, RHEV, RHEL OpenStack Platform and Rackspace

Expected results:
Rackspace not mentioned in the help message.

Additional info:

Comment 6 Lukáš Hellebrandt 2020-03-06 10:48:05 UTC
Verified with Sat 6.7 snap 14, used reproducer from OP. No mention of Rackspace in the whole putput.

Comment 9 errata-xmlrpc 2020-04-14 13:28:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.